Get Voice Agent
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-agents/{voiceAgentId} \
--header 'Authorization: <api-key>'{
"success": true,
"data": {
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"type": "Single Prompt",
"name": "Customer Support Agent",
"conversation": {
"greetingMessage": "Hello, how can I help you today?",
"greetingMessageType": null,
"preamble": "You are a helpful assistant.",
"pokeMessages": [],
"params": {},
"alignment": {
"greetingMessage": "ltr",
"preamble": "ltr"
}
},
"voice": {
"voiceId": "en-US-Neural2-A",
"voiceRecordId": null,
"voiceRecord": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"language": "<string>",
"image": "<string>",
"languageCode": "<string>",
"voiceRecord": {}
},
"lang": "en",
"ttsParams": {}
},
"llm": {
"provider": "openai",
"model": "gpt-4",
"temperature": 0.2,
"baseUrl": null,
"apiKey": null
},
"callSettings": {
"noiseCancellation": "telephony_optimized",
"cancelNoisePer": "conversation",
"interrupt": true,
"responseDelay": 400,
"userInactivityTimeout": 15,
"maxCallDuration": 300,
"silenceThreshold": 800,
"backgroundNoise": false,
"thinkingVoice": false,
"speakerIdentification": false,
"agenticRag": false,
"languageDialectSwitcher": false,
"minInterruptionDuration": 0.5,
"vadActivationThreshold": 0.5,
"enableAutoGainControl": false,
"sendDenoisedToStt": false,
"genderDetection": false,
"smartCallEnd": false,
"waitForUserToSpeakFirst": 0
},
"tools": [
{}
],
"knowledgeBaseItemsIds": [],
"voiceDictionaryIds": [],
"phoneNumber": {
"type": "TWILIO",
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30"
},
"webhookUrl": null,
"webhookAuth": {},
"workflow": {},
"outcomeResponseShape": {},
"resolvedWebTools": [
{}
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"account": {
"plan": "pro"
}
}
}Voice Agents Routes
Get Voice Agent
Retrieves a specific voice agent by its unique identifier.
GET
/
v2
/
voice-agents
/
{voiceAgentId}
Get Voice Agent
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-agents/{voiceAgentId} \
--header 'Authorization: <api-key>'{
"success": true,
"data": {
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30",
"type": "Single Prompt",
"name": "Customer Support Agent",
"conversation": {
"greetingMessage": "Hello, how can I help you today?",
"greetingMessageType": null,
"preamble": "You are a helpful assistant.",
"pokeMessages": [],
"params": {},
"alignment": {
"greetingMessage": "ltr",
"preamble": "ltr"
}
},
"voice": {
"voiceId": "en-US-Neural2-A",
"voiceRecordId": null,
"voiceRecord": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"language": "<string>",
"image": "<string>",
"languageCode": "<string>",
"voiceRecord": {}
},
"lang": "en",
"ttsParams": {}
},
"llm": {
"provider": "openai",
"model": "gpt-4",
"temperature": 0.2,
"baseUrl": null,
"apiKey": null
},
"callSettings": {
"noiseCancellation": "telephony_optimized",
"cancelNoisePer": "conversation",
"interrupt": true,
"responseDelay": 400,
"userInactivityTimeout": 15,
"maxCallDuration": 300,
"silenceThreshold": 800,
"backgroundNoise": false,
"thinkingVoice": false,
"speakerIdentification": false,
"agenticRag": false,
"languageDialectSwitcher": false,
"minInterruptionDuration": 0.5,
"vadActivationThreshold": 0.5,
"enableAutoGainControl": false,
"sendDenoisedToStt": false,
"genderDetection": false,
"smartCallEnd": false,
"waitForUserToSpeakFirst": 0
},
"tools": [
{}
],
"knowledgeBaseItemsIds": [],
"voiceDictionaryIds": [],
"phoneNumber": {
"type": "TWILIO",
"id": "48f7656f-098b-4c43-b165-7cfd2cc8ac30"
},
"webhookUrl": null,
"webhookAuth": {},
"workflow": {},
"outcomeResponseShape": {},
"resolvedWebTools": [
{}
],
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"account": {
"plan": "pro"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Path Parameters
UUID of the voice agent.
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Was this page helpful?
⌘I